import time

from source.behaviors.roles import base


class MasterRole(base.BaseRole):
    """
    Role used when the machine is declared as the master.
    It will be the machine responsible for emitting data that the others peers should play together.
    """

    def handle(self):
        print("I am now the master !")

        time.sleep(1)